
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/********************************************************************
* Copyright (C) 2003-2007 Texas Instruments Incorporated.
* All Rights Reserved
*********************************************************************
* file: cslr_iopu5.h
*
* Brief: This file contains the Register Description for iopu5
*
*********************************************************************/
#ifndef _CSLR_IOPU5_H_
#define _CSLR_IOPU5_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 4 bytes */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 REVISION;
    volatile Uint32 CONFIGURATION;
    volatile Uint32 RSVD0[2];
    volatile Uint32 INTR_RAW_STATUS;
    volatile Uint32 INTR_ENABLED_STATUS;
    volatile Uint32 INTR_ENABLE;
    volatile Uint32 INTR_ENABLE_CLR;
    volatile Uint32 EOI;
    volatile Uint32 INTR_VECTOR;
    volatile Uint32 RSVD1[182];
    volatile Uint32 MPFAR;
    volatile Uint32 MPFSR;
    volatile Uint32 MPFCR;
} CSL_Iopu5Regs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* revision_reg */

#define CSL_IOPU5_REVISION_SCHEME_MASK (0xC0000000u)
#define CSL_IOPU5_REVISION_SCHEME_SHIFT (0x0000001Eu)
#define CSL_IOPU5_REVISION_SCHEME_RESETVAL (0x00000001u)

#define CSL_IOPU5_REVISION_MODULE_MASK (0x0FFF0000u)
#define CSL_IOPU5_REVISION_MODULE_SHIFT (0x00000010u)
#define CSL_IOPU5_REVISION_MODULE_RESETVAL (0x00000E80u)

#define CSL_IOPU5_REVISION_RTL_MASK (0x0000F800u)
#define CSL_IOPU5_REVISION_RTL_SHIFT (0x0000000Bu)
#define CSL_IOPU5_REVISION_RTL_RESETVAL (0x00000007u)

#define CSL_IOPU5_REVISION_MAJOR_MASK (0x00000700u)
#define CSL_IOPU5_REVISION_MAJOR_SHIFT (0x00000008u)
#define CSL_IOPU5_REVISION_MAJOR_RESETVAL (0x00000001u)

#define CSL_IOPU5_REVISION_CUSTOM_MASK (0x000000C0u)
#define CSL_IOPU5_REVISION_CUSTOM_SHIFT (0x00000006u)
#define CSL_IOPU5_REVISION_CUSTOM_RESETVAL (0x00000000u)

#define CSL_IOPU5_REVISION_MINOR_MASK (0x0000003Fu)
#define CSL_IOPU5_REVISION_MINOR_SHIFT (0x00000000u)
#define CSL_IOPU5_REVISION_MINOR_RESETVAL (0x00000000u)

#define CSL_IOPU5_REVISION_RESETVAL  (0x4E803900u)

/* configuration_reg */

#define CSL_IOPU5_CONFIGURATION_NUM_IOS_MASK (0x0FF00000u)
#define CSL_IOPU5_CONFIGURATION_NUM_IOS_SHIFT (0x00000014u)
#define CSL_IOPU5_CONFIGURATION_NUM_IOS_RESETVAL (0x00000000u)

#define CSL_IOPU5_CONFIGURATION_NUM_AIDS_MASK (0x0000F000u)
#define CSL_IOPU5_CONFIGURATION_NUM_AIDS_SHIFT (0x0000000Cu)
#define CSL_IOPU5_CONFIGURATION_NUM_AIDS_RESETVAL (0x00000000u)

#define CSL_IOPU5_CONFIGURATION_ASSUME_ALLOWED_MASK (0x00000001u)
#define CSL_IOPU5_CONFIGURATION_ASSUME_ALLOWED_SHIFT (0x00000000u)
#define CSL_IOPU5_CONFIGURATION_ASSUME_ALLOWED_RESETVAL (0x00000001u)

#define CSL_IOPU5_CONFIGURATION_RESETVAL (0x00000001u)

/* intr_raw_status_reg */

#define CSL_IOPU5_INTR_RAW_STATUS_ADDR_ERR_MASK (0x00000002u)
#define CSL_IOPU5_INTR_RAW_STATUS_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_IOPU5_INTR_RAW_STATUS_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_RAW_STATUS_PROT_ERR_MASK (0x00000001u)
#define CSL_IOPU5_INTR_RAW_STATUS_PROT_ERR_SHIFT (0x00000000u)
#define CSL_IOPU5_INTR_RAW_STATUS_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_RAW_STATUS_RESETVAL (0x00000000u)

/* intr_enabled_status_reg */

#define CSL_IOPU5_INTR_ENABLED_STATUS_ADDR_ERR_MASK (0x00000002u)
#define CSL_IOPU5_INTR_ENABLED_STATUS_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_IOPU5_INTR_ENABLED_STATUS_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_ENABLED_STATUS_PROT_ERR_MASK (0x00000001u)
#define CSL_IOPU5_INTR_ENABLED_STATUS_PROT_ERR_SHIFT (0x00000000u)
#define CSL_IOPU5_INTR_ENABLED_STATUS_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_ENABLED_STATUS_RESETVAL (0x00000000u)

/* intr_enable_reg */

#define CSL_IOPU5_INTR_ENABLE_ADDR_ERR_MASK (0x00000002u)
#define CSL_IOPU5_INTR_ENABLE_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_IOPU5_INTR_ENABLE_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_ENABLE_PROT_ERR_MASK (0x00000001u)
#define CSL_IOPU5_INTR_ENABLE_PROT_ERR_SHIFT (0x00000000u)
#define CSL_IOPU5_INTR_ENABLE_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_ENABLE_RESETVAL (0x00000000u)

/* intr_enable_clr_reg */

#define CSL_IOPU5_INTR_ENABLE_CLR_ADDR_ERR_MASK (0x00000002u)
#define CSL_IOPU5_INTR_ENABLE_CLR_ADDR_ERR_SHIFT (0x00000001u)
#define CSL_IOPU5_INTR_ENABLE_CLR_ADDR_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_ENABLE_CLR_PROT_ERR_MASK (0x00000001u)
#define CSL_IOPU5_INTR_ENABLE_CLR_PROT_ERR_SHIFT (0x00000000u)
#define CSL_IOPU5_INTR_ENABLE_CLR_PROT_ERR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_ENABLE_CLR_RESETVAL (0x00000000u)

/* eoi_reg */

#define CSL_IOPU5_EOI_VECTOR_MASK (0x000000FFu)
#define CSL_IOPU5_EOI_VECTOR_SHIFT (0x00000000u)
#define CSL_IOPU5_EOI_VECTOR_RESETVAL (0x00000000u)

#define CSL_IOPU5_EOI_RESETVAL       (0x00000000u)

/* intr_vector_reg */

#define CSL_IOPU5_INTR_VECTOR_VECTOR_MASK (0xFFFFFFFFu)
#define CSL_IOPU5_INTR_VECTOR_VECTOR_SHIFT (0x00000000u)
#define CSL_IOPU5_INTR_VECTOR_VECTOR_RESETVAL (0x00000000u)

#define CSL_IOPU5_INTR_VECTOR_RESETVAL (0x00000000u)

/* fault_address_reg */

#define CSL_IOPU5_MPFAR_ADDR_MASK (0xFFFFFFFFu)
#define CSL_IOPU5_MPFAR_ADDR_SHIFT (0x00000000u)
#define CSL_IOPU5_MPFAR_ADDR_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFAR_RESETVAL (0x00000000u)

/* fault_status_reg */

#define CSL_IOPU5_MPFSR_ID_MASK (0x0F000000u)
#define CSL_IOPU5_MPFSR_ID_SHIFT (0x00000018u)
#define CSL_IOPU5_MPFSR_ID_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFSR_MSTID_MASK (0x00FF0000u)
#define CSL_IOPU5_MPFSR_MSTID_SHIFT (0x00000010u)
#define CSL_IOPU5_MPFSR_MSTID_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFSR_PRIVID_MASK (0x00001E00u)
#define CSL_IOPU5_MPFSR_PRIVID_SHIFT (0x00000009u)
#define CSL_IOPU5_MPFSR_PRIVID_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFSR_NS_MASK (0x00000080u)
#define CSL_IOPU5_MPFSR_NS_SHIFT (0x00000007u)
#define CSL_IOPU5_MPFSR_NS_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFSR_TYPE_MASK (0x0000003Fu)
#define CSL_IOPU5_MPFSR_TYPE_SHIFT (0x00000000u)
#define CSL_IOPU5_MPFSR_TYPE_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFSR_RESETVAL (0x00000000u)

/* fault_clear_reg */

#define CSL_IOPU5_MPFCR_CLEAR_MASK (0x00000001u)
#define CSL_IOPU5_MPFCR_CLEAR_SHIFT (0x00000000u)
#define CSL_IOPU5_MPFCR_CLEAR_RESETVAL (0x00000000u)

#define CSL_IOPU5_MPFCR_RESETVAL (0x00000000u)

#endif
